<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	session_start();
	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/transfer_reason.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	
	$transfer_reason = new TransferReason($db);
	$data = json_decode(file_get_contents("php://input"));
   

	$stmt = $transfer_reason->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){	
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail = array(
				"id" => (int)$id,
				"transfer_reason" => $transfer_reason
			);	
			array_push($arr["records"], $detail);
		}	
	}
	echo json_encode($arr);
?>